JIGL(1)

NAME
jigl - Generates a static html photo gallery from one or more directories of images

SYNOPSIS
jigl [ options ] [ directory ] [ directory ... ]

DESCRIPTION
jigl (pronounced jiggle) is a perl script that generates a static html photo gallery from one or more directories of gif/jpg/png images. It supports themes and is very customizable. It includes the ability to display comments and EXIF info for each image in a simple clean layout.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For further details, see the documentation in /usr/share/doc/jigl/

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

-cg --create-gallerydat
    Create a gallery.dat file and exit

-uec --use-exif-comment
    Use the comment field in the exif header (if it exists) as the slide comment. This will overwrite the description that is written in a gallery.dat file. If used in conjunction with the -cg option, the comment field will be saved in the gallery.dat file. Default is DISABLED. (can be negated).

-rs --replace-spaces <a|y|n>
    Replaces spaces with underscores "_" in filenames.

    a -- (default) Ask the user if they want to

    y -- replace and do no ask

    n -- do not replace and do no ask

-it --index-title <string>
    Sets the title and title-bar of the index.html page to string. This is meant to be used when you are not using a gallery.dat file.

-iw --index-width <1-255>
    How many thumbnails per line you want on the index page. Default is 5

-ir --index-row <0-255>
    The number of thumbnail rows you want on the index page before a new index page is generated. If 0, there is no limit and only one index page will be generated. Default is 0

-ut --update-templates
    Remove the template files from the local directory and the global default theme directory. This will cause new default template files to be generated in the global default theme directory. Default is DISABLED. (can be negated).

-ft --force-thumb
    Force thumbnail regeneration (can be negated)

-fs --force-slide
    Force slide regeneration (can be negated)

-skb --slide-kbsize
    Print the file size of the slide on the index page under the thumbnails. Default is ENABLED (can be negated)

-sxy --slide-xysize
    Print the slide dimensions under the thumbnails on the index page. Default is ENABLED (can be negated)

-uo --use-original
    Use the original images for the slides - do not generate a scaled slide image. Default is DISABLED. (can be negated)

-lo --link-original
    Link to the original images from the slides. Default is DISABLED. (can be negated).

-aro --auto-rotate-originals
    Do a lossless rotation of the original images. This option is only useful if your digital camera sets the Orientation field in the EXIF header. All EXIF header information will be kept and the Orientation field will be updated to reflect the rotation. Default is DISABLED. (can be negated).

-gs --generate-slides
    Gererate slide pages and link them to the thumbnails. If this option is turned off, slides will not be generated and the info pages will be linked to the thumbnails instead. If neither slide or info pages are generated, the thumbnails will not link to anything. Default is ENABLED. (can be negated).

-gi --generate-info
    Generate info pages and link them to the "info" link on the slide pages. If this option is turned off, info pages will not be generated and the "info" link on the slide pages will dissapear. If no slides are generated, then the info pages will be linked directly to the thumbnails. Default is ENABLED. (can be negated).

-sy --slideY <int>
    Maximum size of slide image in the Y direction. If the height of the original image is greater than this value the slide will be scaled to this value. Otherwise the slide is simply a copy of the original. Default is 480 pixels

-ty --thumbY <int>
    Size of the scaled thumbnail image in the Y direction Default is 75 pixels

-iy --infoY <int>
    Maximum size of the info image in the Y direction. This is simply a scale of the slide image using HTML height and width tags. A new image is not generated. Default is 240 pixels

-ws --watermark-slides
    Enable watermarking of the slide images. A watermark file must be present for this option to work. Default is DISABLED. (can be negated).

-wf --watermark-file <filename>
    Name of the watermark file to use when -ws is enabled. Default is "watermark.png".

-wg --watermark-gravity <north|south|east|west|northeast|northwest|southeast|southwest>
    Where to display the watermark on the slide. Default is southeast.

-gb --go-back
    Prepend a "Go Back" link to the header in the index.html file. If used in conjunction with -cg, the Go Back link will be added to the INDEX-HEADER tag in the newly created gallery.dat file. Default is DISABLED. (can be negated).

-gbs --go-back-string <string>
    String to use for the go-back-url link. You could even make this an image to help round out a theme by making this string something like: "<img src=theme/myimage.gif border=0>" Default is "Go Back".

-gburl --go-back-url <url>
    URL to use when -gb is enabled. Any URL can be used. Default is '..', the previous directory.

--theme <themeName>
    Name of theme to use. Themes files are defined as "themeName.theme". You would just enter the "themeName" portion of the file. Default is "default".

-wd --web-dir <dir>
    Directory to put all the gallery files (html, slides, thumbnails and possibly theme files) into. Unless a fully qualified path is used, this directory will be created in the current directory. This option is not used if the -lo or -uo option is set. Default is "web".

-r --recurse
    Recurse through all directories on the command line. This option will omit all directories named "slides", "thumbs", "theme", "web" and the value of -wd if that option is set. This option will ONLY be recognized from the command line to help prevent accidents. Note: Any options listed on the command line when using recursion will be applied to all directories. Default is DISABLED.

-h --help
    Display this information and exit

-v --version
    Display version and exit

-d --debug <0-5>
    Set debug level. Default is 0

[directories]
    Directories to process. Default is . (current).

Note: If an option listed says it can be negated you can prefix it with "no"
    and the opposite effect will happen. Useful for overriding options on the command line that are set elsewhere. e.g. -nouo | --nouse-original will NOT use the original files as slides.

SETTING OPTIONS
Options can be used in any of three places: (listed ascending precedence)

-- A single line in the $HOME/.jigl/jigl.opts file in the users home directory.

-- After the GAL-OPTIONS tag as a single line in the gallery.dat file in each of the album directories.

-- On the command line.

Regardless of where they are located, they should all be listed in the same form as you would use them on the command line. Example: -lo -iw 6 -noskb

Theme files can be located in either the directory jigl is processing or in the .jigl directory in the user's home directory.

AUTHOR
jigl was written by Jason Paul <jigl@xome.net>. Its project page is located at http://xome.net/projects/jigl/.

This manual page was adapted from the program help text by Nicholas Breen <nbreen@ofb.net> for the Debian project (but may be used by others).